
 
W e b W r i t e r / 2


Version 1.0

A HyperText Markup Language editor for OS/2.

                Don't write Home without it!
                

Written by John Blumel.

(C) Copyright 1995 John Blumel.
All rights reserved.




INTRODUCTION

    WebWriter/2 is an HTML editor designed and written for OS/2.

    Currently WebWriter/2 directly supports the creation of HTML version 2.0 documents.  It also includes the capability for the user to define tags which are not currently supported, allowing users to include tags from more recent HTML specifications.  At least some knowledge of HTML is assumed and no syntax checking of documents is performed.

      WebWriter/2 is shareware and its use and distribution is subject to the terms specified in the license.txt file and the license panel of the on-line help.

    Thank you for trying WebWriter/2.  I hope you find it both useful and easy to use.  If you have suggestions for enhancements or useability improvements, or if you discover defects in WebWriter/2, please contact me through one of the methods listed in the Getting Technical Support section below.

    WebWriter/2 is implemented in REXX using Watcom International Corporation's VX-REXX.



INSTALLATION

Prerequisites:

    1. You must have installed OS/2 REXX support.
         REXX support is installed automatically with OS/2 version 3.0 (i.e., Warp).  If you have using  a 2.x version of OS/2 you will need to install REXX support using the Selective Install utility if you have not already done so.

    2. You must have the file vrobj.dll.
        If the .zip file containing this file did not include vrobj.dll, you can retrieve vrobj21c.zip from
"http://www.watcom.on.ca/fix_vxrexx/vrobj21c.zip".  It is also available via anonymous ftp from "ftp.watcom.on.ca/pub/bbs/wrexxpf/vrobj21c.zip". 

----------------------------------------------

Installing WebWriter/2:

    1. Install OS/2 REXX support, using the OS/2 Selective Install utility if necessary.

    2. Unzip ww2_100.zip into a temporary directory.

    3. Make sure that 
       a. vrobj.dll exists in a directory in your LIBPATH.
       or 
       b. You have the file vrobj.dll in the directory that you unzipped ww2_100.zip into.

    4. If you are reinstalling WebWriter/2, delete the WebWriter/2 Folder and Program objects before continuing.

    5. Run Install.exe.  

    6. You may wish to view the readme file that is loaded in the WebWriter/2 - Installation window before you continue.

    7. Select Install/Install from the WebWriter/2 - Installation menu to start the installation process.

    8. Fill in the Install WebWriter/2 options and click Continue.  You may wish to install VROBJ.DLL to the C:\OS2\DLL directory rather than another directory which will need to be added to your LIBPATH statement in your CONFIG.SYS file.

    9. WebWriter/2 will be installed using the entries you have made and a WebWriter/2 folder and program objects will be created on your desktop.

   10. If your CONFIG.SYS was updated you will need to shutdown and restart your system for the changes to take effect.



USING WebWriter/2

    WebWriter/2 allows you to create HTML documents from scratch or to markup existing text documents.  You may also preview documents using either IBM's WebExplorer or another WWW client including Netscape.  If you use IBM's WebExplorer as your WWW client you can use WebWriter/2 as your viewer for HTML document source.  For more information on how  to do this consult the WebWriter/2 on-line help. 

    WebWriter/2 uses a MSDI (Multiple Single Document Interface) method of editing multiple documents.  You can open as many WebWriter/2 windows as you want as long as you can keep track of what you are doing.  To help manage the open documents you may wish to display the WebWriter/2 - Window list.  You can do this by selecting it from the Windows menu or from the OS/2 window list.  Clicking mouse button 2 on the WebWriter/2 - Window list will bring up a context menu of options.

    To insert HTML tags, select the desired tag from the Tags menu.  Tags which have additonal or optional elements will present the user with a dialog prompting for the necessary information.  Additional tags may be defined and inserted by selecting Tags/More tags... .  Special characters can be selected from the Characters menu or from the Character entities dialog which is displayed by selecting Characters/More characters... .  When inserting HTML tags, selected text will be wrapped by the tag if it is two sided.  One sided tags will be inserted before selected text.  Character entities will be inserted before selected text.  

    More detailed information on specific features of WebWriter/2 can be found in the on-line help which is now available.

    If you are not familiar with HTML you may wish to obtain one of the many books available on this topic.  "Teach Yourself Web Publishing with HTML in a Week" by Laura Lemay ( SAMS Publishing, 1995 ) is a good book for beginners.  By the time you read this "Teach Yourself More Web Publishing with HTML in a Week" by Laura Lemay ( SAMS Publishing, 1995 ) should be on the shelves.  There are also many WWW sites which provide up to date HTML documentation and examples.  Although these are too numerous to list here, one good site is "http://www.w3.org/hypertext/WWW/MarkUp/MarkUp.html".  You can refer to the HTML20.HTM file included with this .ZIP for basic HTML information.



WHAT'S NEW


NEW IN VERSION 1.0
 
Enhancements:

    1. WebWriter/2 now has full context sensitive help.  Most of the help information that was previously in this readme file can now be found in the on-line help.
   
    2. The Tag manager & Character manager dialogs are now resizable and no longer resize themselves when columns are displayed and hidden.  This can allow these dialogs to be used as palettes for Tags and Character entities by resizing them to display only the tag or character name and making them as tall as desired to display many tags or characters at once.

    3. The speed of the "Change all" option of the Find dialog has been increased considerably.

    4. The "Change to" string in the Find dialog is now saved between invocations of this function.

    5. You can now preview without saving from the default document directory.  This option can be specified on the Paths page of the settings notebook.  This is particularly useful for previewing documents with images which are stored in the default directory or for testing links to other documents in the default directory.

    6. The Printer setup dialog now allows you to specify wrapping of printed output at up to 106 columns.  This defaults to wrapping at 80 columns.

    7. Accelerators were added to several menu items in the Tags menu.  The following accelerator keys can now be used for inserting tags:
                
	a. Headings
	- Alt+1,2,3,4,5 or 6 will insert the
             corresponding heading tag (<Hn></Hn>).
	b. Paragraph
           - Alt+P will insert the the paragraph tag
             (<P></P>).
           - Ctrl+Enter will insert a newline then the 
             paragraph tag.
	c. Horizontal rule
           - Alt+H will insert a <HR> tag.
	d. Line break
           - Alt+B will insert a <BR> tag.
	e. List item
           - Alt+I will insert a <LI> tag.
           - Shift+Enter will insert a newline and then 	  a <LI> tag.
	f. Unordered list
           - Alt+L will insert the <UL></UL> tag.
	g. Ordered list
           - Alt+O will insert the <OL></OL> tag.

    8. Technical support has moved to: 
	
	jblumel@gs.net	


Fixes:

    1. Fixed a problem where the document path used in file dialogs would be changed to the TMP directory following previewing a document.

    2. If Cancel was clicked in the "Save as" dialog when previewing a document, the preview would continue.  This was changed so that the preview operation is now cancelled as well as the save.

    3. The "Printer setup" dialog would get lost behind other open windows if another window was clicked on while the dialog was open.  The "Printer setup" dialog is now system modal and must be closed to continue.

    4. Fixed a problem with the Edit window not refreshing properly following no more occurences for a "Change then find" operation.  This along with the not found message  was somewhat confusing.

    5. If the settings notebook was opened while many Edit windows were open, the open windows would not properly refresh their settings when the notebook was closed.  This resulted in the preview applications disappearing from the File/Preview menu.  This was changed  so that the
Edit windows refresh their settings the next time they become active rather than immediately.  This avoids the problem which seems to have been caused by sharing conflicts when accessing the .ini file. 

----------------------------------------------

NEW IN VERSION 0.9 BETA 2

Enhancements:

    1. You can now define and insert your own tags using the Tag manager dialog. 

    2. Enhanced drag and drop support.

    3. Enhanced support for non-English characters.

    4. Multiple preview applications may now be configured.

    5. You may now, optionally, display a status bar which will display hint text describing menu items.  For tags and character entities the element inserted when the menu option is selected is displayed.

    6. You can now select the printer you wish to print to including direct printing to an LPT device using the OS/2 print command.  Direct to LPT printing can be useful if you are having trouble printing to an OS/2 printer.  This can also allow 2 & 4 up printing if you have a utility that supports this.

    7. WebWriter/2 now uses the C level patch version of VROBJ.DLL.


Fixes:

    1. A problem with WebWriter/2 locking up on startup including locking up the entire OS/2 system has been fixed.

    2. A problem with the edit window contents sometimes not redisplaying properly when a document was inserted or opened has been fixed.

    3. Problems with locating the exact position of text in the edit window during find and replace operations have, I believe, been resolved by the Patch level C version of VROBJ.DLL and minor code changes.

    4. Many annoying little problems which somehow manged to slip through to the first beta release.



REGISTERING WebWriter/2

    If you decide that you wish to continue using WebWriter/2 beyond the 30 day evaluation period, you will need to register it.  The registation fee is $30.00 U.S.  When you register you will be sent a registration code.  After you enter your registration information WebWriter/2 will display your name in the Product information dialog, the Registration menu will no longer appear on the Edit window menu bar and dialogs reminding you to register will no longer be displayed.

    Please print and fill out the register.txt file included with WebWriter/2.  If the copy of WebWriter/2 you obtained did not include the register.txt file, send the following information:

	- Your name
	- Postal address
	- Email address
	- Phone (Home/Work)
	- WebWriter/2 version number
	- How you obtained WebWriter/2
	- Any other comments you may have

    To register send a check or money order in the amount of the registration fee(s) payable to John Blumel and drawn on a U.S. bank to:

	John Blumel
	1949 Green Oak Drive
	Terrytown, LA  70056
	USA

----------------------------------------------- 

    For convenience of payment, you may wish to register WebWriter/2 through BMT Micro.  BMT Micro will accept the following forms of payment:

	- Visa
	- MasterCard
	- Discover
	- American Express
	- Money Order
	- Cashiers Check
	- Personal Check

    Checks and money orders should be made payable to BMT Micro.  Registration through BMT Micro may be done in any of the following ways:

    Mail Orders:  BMT Micro
                      452 Horn Road
                      Wilmington, NC 28412-2411
                      U.S.A.

  Voice Orders:  9:00am - 7:00pm EST (-5 GMT)
                      (800) 414-4268 (orders only)
                      (910) 791-7052

    Fax Orders:  (910) 350-2937  24 hours / 7 Days

	   BBS:  (910) 350-8061  10 lines, all 14.4K
                      (910) 799-0923  Direct 28.8K line

    If you wish to place the order through BMT Micro via Mail or Fax, please print and fill out the BMTOrder.txt file which was included in the WebWriter/2 archive.

----------------------------------------------- 

    Corporations and/or organizations interested in site licenses should contact 
the author (John Blumel) prior to registering.



TECHNICAL SUPPORT

Known Problems

    1. Some characters do not display properly in the "Character entity" dialog.  These characters have been replaced with a text description equivalent in the Character column.  The character entity inserted when one of these characters is selected is however correct.

    This problem is due to the fact that codepage 437 which is the default for English language installations of OS/2 does not support display of these characters.  I am currently exporing options for a workaround for this problem.  This would involve use of codepage 850 and would require that this codepage be specified as either the primary or alternate codepage in the CONFIG.SYS.


----------------------------------------------

Getting Technical Support

    For technical support, suggestions or to report bugs in WebWriter/2, I can be reached at:

	jblumel@gs.net

    Or:

	John Blumel
	1949 Green Oak Drive
	Terrytown, LA  70056

    Technical support will not be available from 2 weeks preceding Mardis Gras until after Ash Wednesday.



(C) Copyright 1995 John Blumel.
All rights reserved.
